Summary: inittab and /etc/rc.d scripts
Name: initscripts
Version: 2.94
Copyright: GPL
Group: Base
Release: 1
Source: initscripts-2.94.tar.gz
Patch: initscripts-2.94-user-compile.patch
BuildRoot: /tmp/initbld
Requires: mingetty bash

%description
This package contains the scripts use to boot a system, change run
levels, and shut the system down cleanly. It also contains the scripts
that activate and deactivate most network interfaces.

%changelog

* Sat Feb 28 1998 Andrzej K. Brandt <andy@monk.cs.net.pl>

- added a few lines in the /etc/rc.d/init.d/halt which is required by 
  the apcupsd package to work. That has no other side efects (I hope).
- added %attr in the %files section to make sure it would be possible to
  build the package without a need to become root

* Wed Jun 04 1997 Erik Troan <ewt@redhat.com>

- Fixed check for /proc/ksyms

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>

- usernetctl put back in ifdown
- support for slaved interfaces

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>

- Created ifup-post from old ifup
- PPP, PLIP, and generic ifup use ifup-post

* Fri Mar 28 1997 Erik Troan <ewt@redhat.com>

- Added DHCP support
- Set hostname via reverse name lookup after configuring a networking
  device if the current hostname is (none) or localhost

* Tue Mar 18 1997 Erik Troan <ewt@redhat.com>

- Got rid of xargs dependency in halt script
- Don't mount /proc twice (unmount it in between)
- sulogin and filesystem unmounting only happened for a corrupt root 
  filesystem -- it now happens when other filesystems are corrupt as well

* Tue Mar 04 1997 Michael K. Johnson <johnsonm@redhat.com>

PPP fixes and additions

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>

Mount proc before trying to start kerneld so we can test for /proc/ksyms
properly.

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>

Added MTU for PPP.

Put PPPOPTIONS at the end of the options string instead of at the
beginning so that they override other options.  Gives users more rope...

Don't do module-based stuff on non-module systems.  Ignore errors if
st module isn't there and we try to load it.

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>

Changed ifup-ppp and ifdown-ppp not to use doexec, because the argv[0]
provided by doexec goes away when pppd gets swapped out.

ifup-ppp now sets remotename to the logical name of the device.
This will BREAK current PAP setups on netcfg-managed interfaces,
but we needed to do this to add a reasonable interface-specific
PAP editor to netcfg.

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>

1) Added usernetctl wrapper for user mode ifup and ifdown's and man page
2) Rewrote ppp and slip kill and retry code 
3) Added doexec and man page

%prep
%setup
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT install 

%post
if [ ! -f /var/log/wtmp ]; then
  touch /var/log/wtmp
fi

%clean
rm -rf $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/usr/sbin

%files
%attr(755, root, root) %dir /etc/sysconfig/network-scripts
%attr(644, root, root) %config %verify(not md5 mtime size) /etc/adjtime
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifdown
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup-post
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifdhcpc-done
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifcfg-lo
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifdown-ppp
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifdown-sl
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup-ppp
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup-sl
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup-routes
%attr(755, root, root) %config /etc/sysconfig/network-scripts/ifup-plip
%attr(644, root, root) %config /etc/inittab
%attr(755, root, root) %dir    /etc/rc.d
%attr(755, root, root) %config /etc/rc.d/rc.sysinit
%attr(755, root, root) %dir    /etc/rc.d/rc0.d
%attr(755, root, root) %config /etc/rc.d/rc0.d/*
%attr(755, root, root) %dir    /etc/rc.d/rc1.d
%attr(755, root, root) %config /etc/rc.d/rc1.d/*
%attr(755, root, root) %dir    /etc/rc.d/rc2.d
%attr(755, root, root) %config /etc/rc.d/rc2.d/*
%attr(755, root, root) %dir    /etc/rc.d/rc3.d
%attr(755, root, root) %config /etc/rc.d/rc3.d/*
%attr(755, root, root) %dir    /etc/rc.d/rc5.d
%attr(755, root, root) %config /etc/rc.d/rc5.d/*
%attr(755, root, root) %dir    /etc/rc.d/rc6.d
%attr(755, root, root) %config /etc/rc.d/rc6.d/*
%attr(755, root, root) %dir    /etc/rc.d/init.d
%attr(755, root, root) %config /etc/rc.d/init.d/*
%attr(755, root, root) %config /etc/rc.d/rc
%attr(755, root, root) %config /etc/rc.d/rc.local
%attr(755, root, root) %dir /etc/rc.d/rc4.d
%attr(755, root, root) /bin/doexec
%attr(4755, root, root) /usr/sbin/usernetctl
%attr(644, root, root) /usr/man/man1/doexec.1
%attr(644, root, root) /usr/man/man1/usernetctl.1
%attr(755, root, root) %config /etc/ppp/ip-up

